%define		_class		Crypt
%define		_subclass	HMAC
%define		upstream_name	%{_class}_%{_subclass}

Name:		php-pear-%{upstream_name}
Version:	1.0.1
Release:	%mkrel 14
Summary:	A class to calculate RFC 2104 compliant hashes
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/Crypt_HMAC/
Source0:	http://download.pear.php.net/package/%{upstream_name}-%{version}.tar.bz2
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildArch:	noarch
BuildRequires:	php-pear

%description
A class to calculate RFC 2104 compliant hashes.

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install
rm -rf %{buildroot}

cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/docs
rm -rf %{buildroot}%{_datadir}/pear/tests

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%{_datadir}/pear/%{_class}
%{_datadir}/pear/packages/%{upstream_name}.xml






%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.0.1-14.mga4
+ Revision: 516545
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.1-13.mga3
+ Revision: 375950
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Feb 01 2011 spuhler <spuhler> 1.0.1-12.mga1
+ Revision: 45651
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Crypt_HMAC


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-12mdv2011.0
+ Revision: 613622
- the mass rebuild of 2010.1 packages

* Sun Dec 13 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.1-11mdv2010.1
+ Revision: 478301
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 1.0.1-10mdv2010.0
+ Revision: 430697
- rebuild

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-8mdv2009.0
+ Revision: 236816
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.0.1-7mdv2008.1
+ Revision: 140729
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-7mdv2007.0
+ Revision: 81452
- Import php-pear-Crypt_HMAC

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-7mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-1mdk
- initial Mandriva package (PLD import)

